
# #############################################################################
#  ATTENTION
# #############################################################################
#
#  This software is for guidance only. It is provided "as is".
#  It only aims at providing coding information to the customer in order for
#  them to save time. As a result no warranties, whether express, implied or
#  statutory, including, but not limited to implied warranties of
#  merchantability and fitness for a particular purpose apply to this software.
#  A·P·E Angewandte Physik und Elektronik GmbH shall not be held liable for any
#  direct, indirect or consequential damages with respect to any claims arising
#  from the content of such sourcecode and/or the use made by customers of the
#  coding information contained herein in connection with their products.
#
#  File Version: 1.0
#
#  Changelog:
#    1.0 - Initial Version
#
# #############################################################################

#-------------------------------------------------------------------------------
# REQUIRED LIBRARYS AND CLASSES
#-------------------------------------------------------------------------------
script_dir = File.expand_path(File.dirname(__FILE__))
require "#{script_dir}\\inc\\ape_device.rb"

#-------------------------------------------------------------------------------
# KERNEL TRAPS (CAPTURE FUNCTIONS FOR KEYSTROKES)
#-------------------------------------------------------------------------------

#Capture STRG-C Keystroke to execute an ordered program shutdown instead 
#of a "rude" program termination that may leave the socket connection open
trap("SIGINT") { 
	puts "SIGINT received. Closing TCP Socket and shutting down..."
	$dev.close
	$dev = nil
	exit!
}

#-------------------------------------------------------------------------------
# MAIN PROGRAM
#-------------------------------------------------------------------------------
remote_host = "127.0.0.1"
remote_port = 51019
remote_device = "APEDevice"

#Create new APE_DEVICE object, set connection details as defined above
#Class-Constructor will automatically try to connect to the device
device = APE_DEVICE.new remote_host, remote_port, remote_device

#Get Connection state and request IDN String from device
puts "\n\n"
puts "Device( #{device.host}:#{device.port}, \"#{device.name}\" )\n\n"
puts "Connected?: " + device.connected?.to_s() + "\n\n"
puts "IDN: " + (device.idn?) + "\n"

#We're done -> close the connection to the device
device.disconnect
exit